# $Revision: 1.23 $, $Date: 2011/12/31 16:33:23 $

%define		module	ply

Summary:	Python Lex-Yacc
Summary(pl.UTF-8):	lex i yacc dla Pythona
Name:		python-%{module}
Version:	3.4
Release:	1
License:	LGPL
Group:		Libraries/Python
Source0:	http://www.dabeaz.com/ply/ply-%{version}.tar.gz
# Source0-md5:	ffdc95858819347bf92d7c2acc074894
URL:		http://www.dabeaz.com/ply/
BuildRequires:	python >= 2.2.1
%pyrequires_eq	python
Obsoletes:	%{module}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PLY is yet another implementation of lex and yacc for Python. Although
several other parsing tools are available for Python, there are
several reasons why you might want to take a look at PLY:
- It uses LR-parsing which is reasonably efficient and well suited for
  larger grammars.
- PLY provides most of the standard lex/yacc features including
  support for empty productions, precedence rules, error recovery, and
  support for ambiguous grammars.
- PLY is extremely easy to use and provides very extensive error
  checking.

%description -l pl.UTF-8
PLY to kolejna implementacja lex i yacc dla Pythona. Mimo iż istnieje
kilka innych narzędzi parsujących dla Pythona to istnieje kilka
powodów dla których powinieneś zainteresować się PLY:
- Używa parsowania-LR, które jest racjonalnie wydajne i dość dobre dla
  większych gramatyk.
- PLY dostarcza większość możliwości standardowego lex/yacc włączając
  w to wsparcie dla pustych produkcji, reguł poprzedzania,
  rekompensowania błędów oraz wsparcia dla dwuznacznych gramatyk.
- PLY jest niezwykle łatwy w użyciu oraz dostarcza szerokiej kontroli
  błędów.

%package examples
Summary:	Python Lex-Yacc - examples
Summary(pl.UTF-8):	lex i yacc dla Pythona - przykłady
Group:		Development/Languages/Python

%description examples
Python Lex-Yacc - examples.

%description examples -l pl.UTF-8
lex i yacc dla Pythona - przykłady.

%prep
%setup -q -n %{module}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__python} setup.py install \
	 --root $RPM_BUILD_ROOT \
	 --optimize=2
%py_postclean

cp -Rf example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# we already have these files in %doc
rm -fr $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}-%{version}-*.egg-info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO doc/*.html ply.egg-info/*
%dir %{py_sitescriptdir}/ply
%{py_sitescriptdir}/ply/*.py[co]

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-ply.spec,v $
Revision 1.23  2011/12/31 16:33:23  adamg
- release 1

Revision 1.22  2011/06/10 20:24:50  zbyniu
- up to 3.4

Revision 1.21  2009/04/02 21:32:29  duddits
- up to 3.2

Revision 1.20  2009/03/14 15:20:19  duddits
- up to 3.1
- cleaning
- %files

Revision 1.19  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.17  2006/05/25 07:27:37  blaass
- up to 1.7, removed old patch

Revision 1.16  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.15  2005/12/23 17:49:22  twittner
- fixed my previous commit log (word repetition, wrapping)

Revision 1.14  2005/12/23 17:41:41  twittner
- up to 1.6
- added -setup.patch: updated addresses, version
- added examples, created subpackage
- use setup.py (instead packaging it)
- rel. 0.1 - I have reservations how `lex.py' works (I've
  also tested older ver. - 1.5 - the same): I wrote similar
  programs for flex(1) and for ply lex.py and I've gotten
  expected results from flex(1) whereas from lex.py not.

Revision 1.13  2005/07/16 14:54:13  spider
- typo

Revision 1.12  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.11  2004/12/25 15:53:25  saq
- release 2 for rebuild with python 2.4

Revision 1.10  2004/08/31 13:53:35  darekr
- update to 1.5

Revision 1.9  2004/07/28 08:03:17  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.8  2004/06/04 19:42:39  jpc
- updated to 1.4

Revision 1.7  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.6  2004/01/19 14:24:17  jajcus
- Release: 2
- new architecture-independent python modules paths

Revision 1.5  2003/11/03 00:23:16  arekm
- updated to 1.3.1

Revision 1.4  2003/05/28 13:01:30  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/11/30 23:00:26  juandon
- new %doc

Revision 1.1  2002/04/25 22:26:05  misiek
- initial pld release
